<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types=1);

use Invertus\ConnectPay\Payment\Service\UpdateOrdersStateService;
use Invertus\ConnectPay\Adapter\Tools;
use Invertus\ConnectPay\Controller\AbstractFrontController;

if (!defined('_PS_VERSION_')) {
    exit;
}

class ConnectPayUpdateOrderStateModuleFrontController extends AbstractFrontController
{
    /** @var ConnectPay */
    public $module;

    public function init()
    {
        parent::init();

        /** @var Tools $tools */
        $tools = $this->module->getService(Tools::class);
        $token = $tools->getValue('token');

        if ($token !== $tools->encrypt($this->module->name)) {
            $tools->redirect('404');
        }

        /** @var UpdateOrdersStateService $updateOrderState */
        $updateOrderState = $this->module->getService(UpdateOrdersStateService::class);
        $updateOrderState->updateOrdersState();

        echo "All Orders updated successfully";
        exit;
    }
}
