<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types = 1);

namespace Invertus\ConnectPay\Adapter;

use Configuration as PrestashopConfiguration;

class Configuration
{
    public function get(string $id, int $shopId): ?string
    {
        $result = PrestashopConfiguration::get($id, null, null, $shopId);

        return (string) $result ?? null;
    }

    public function set(string $id, $value, int $shopId): void
    {
        PrestashopConfiguration::updateValue($id, $value, false, null, $shopId);
    }

    public function deleteByName(string $name):bool
    {
        return PrestashopConfiguration::deleteByName($name);
    }
}
