<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types=1);

namespace Invertus\ConnectPay\Config;

/**
 * Class InstallConfig - responsible for module installation configurations
 */
final class InstallConfig
{
    /**
     * Disable object initiation
     */
    private function __construct()
    {
    }

    /**
     * Hook list to be used in module
     */
    public static function getHookList(): array
    {
        return [
            'actionDispatcherBefore',
        ]; // Hook list
    }

    /**
     * Configuration list to be used in module
     */
    public static function getConfigList(): array
    {
        return []; // Config associative list, config values will be initiated on install
    }
}
