<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types = 1);

namespace Invertus\ConnectPay\Infrastructure\API;

use Invertus\ConnectPay\Config\ConnectPayConfig;
use Invertus\ConnectPay\Factory\HttpClientFactory;

class ApiRequest
{
    private $client;

    public function __construct(
        HttpClientFactory $clientFactory
    ) {
        $this->client = $clientFactory->getClient();
    }

    public function post(string $url, array $params = [])
    {
        return $this->client->post($url, $params);
    }

    public function get($url, $params = [])
    {
        return $this->client->get($url, $params);
    }
}
