<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types = 1);

namespace Invertus\ConnectPay\Infrastructure\Adapter;

use Context;

class PrestaShopCookie
{
    public function set(string $id, string $value): void
    {
        Context::getContext()->cookie->{$id} = $value;
    }

    public function get($id): ?string
    {
        return Context::getContext()->cookie->{$id} ?? null;
    }

    public function clear($id): void
    {
        if (isset(Context::getContext()->cookie->{$id})) {
            unset(Context::getContext()->cookie->{$id});
        }
    }
}
