<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types=1);

namespace Invertus\ConnectPay\Infrastructure\Adapter;

use Shop as CoreShop;

class Shop
{
    /**
     * @return int[]
     */
    public function getAllShops(): array
    {
        $shops = CoreShop::getShops();

        return array_map(function ($shop) {
            return (int) $shop['id_shop'];
        }, $shops);
    }

    public function getContextListShopId(): array
    {
        return CoreShop::getContextListShopID();
    }

    public function isShopSingleShopContext(): bool
    {
        return CoreShop::getContext() === CoreShop::CONTEXT_SHOP;
    }
}
