<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types=1);

namespace Invertus\ConnectPay\Infrastructure\Bootstrap;

use Db;

class DatabaseTableUninstaller implements InstallerInterface
{
    public function init(): void
    {
        $commands = $this->getCommands();

        foreach ($commands as $query) {
            if (!Db::getInstance()->execute($query)) {
                throw new ApplicationBootstrapException('Error uninstalling module. Contact us for support', ApplicationBootstrapException::FAILED_TO_INSTALL_MODULE_DATABASE_TABLE);
            }
        }
    }

    private function getCommands(): array
    {
        $sql = [];

        $sql[] = 'DROP TABLE IF EXISTS  `' . _DB_PREFIX_ . 'connectpay_log`;';
        $sql[] = 'DROP TABLE IF EXISTS  `' . _DB_PREFIX_ . 'connectpay_provider`;';

        return $sql;
    }
}
