<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

namespace Invertus\ConnectPay\OAuth\DTO;

class ApplicationContext
{
    private $applicationKey;
    private $applicationSecret;
    private $privateKey;
    private $authCode;
    private $brandId;

    public function __construct(
        ?string $applicationKey,
        ?string $applicationSecret,
        ?string $privateKey,
        ?string $authCode,
        ?string $brandId
    ) {
        $this->applicationKey = $applicationKey;
        $this->applicationSecret = $applicationSecret;
        $this->privateKey = $privateKey;
        $this->authCode = $authCode;
        $this->brandId = $brandId;
    }

    public function getApplicationKey(): ?string
    {
        return $this->applicationKey;
    }

    public function getApplicationSecret(): ?string
    {
        return $this->applicationSecret;
    }

    public function getPrivateKey(): ?string
    {
        return $this->privateKey;
    }

    public function getAuthCode(): ?string
    {
        return $this->authCode;
    }

    public function getBrandId(): ?string
    {
        return $this->brandId;
    }
}
