<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types=1);

namespace Invertus\ConnectPay\OAuth\Validator;

use ConnectPay;

class PrivateKeyValidator
{
    private $module;

    public function __construct(
        ConnectPay $module
    ) {
        $this->module = $module;
    }

    public function isValid(): bool
    {
        $isValid = true;
        $filePath = $this->module->getLocalPath() . "files/private.pem";

        if (!file_exists($filePath)) {
            $isValid = false;
        }

        if (!is_readable($filePath)) {
            $isValid = false;
        }

        return $isValid;
    }
}
