<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types=1);

namespace Invertus\ConnectPay\Payment\Repository;

use DbQuery;
use Db;
use PrestaShopDatabaseException;

class ConnectPayOrderRepository
{
    private const ORDER_NOT_FINALIZED = 0;

    public function getConnectPayPaymentIdByOrderId($orderId)
    {
        $query = new DbQuery();
        $query->select('id_payment');
        $query->from('connectpay_order');
        $query->where('id_order = "' . (int) $orderId . '"');

        return Db::getInstance()->getValue($query);
    }

    /**
     * @param $orderId
     * @throws PrestaShopDatabaseException
     */
    public function getConnectPayOrderId($orderId): string
    {
        $query = new DbQuery();
        $query->select('id_connectpay_order');
        $query->from('connectpay_order');
        $query->where('id_order = "' . (int) $orderId . '"');

        return Db::getInstance()->getValue($query);
    }

    public function getNotFinalizedOrders()
    {
        $query = new DbQuery();
        $query->select('*');
        $query->from('connectpay_order');
        $query->where('order_finalized = "' . self::ORDER_NOT_FINALIZED . '"');

        return Db::getInstance()->executeS($query);
    }
}
