<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types=1);

namespace Invertus\ConnectPay\Payment\Repository;

use DbQuery;
use Db;

class ConnectPayProviderRepository
{
    private const TABLE = 'connectpay_provider';

    public function getIdByProviderCode(string $providerCode)
    {
        $query = new DbQuery();
        $query->select('id');
        $query->from(self::TABLE);
        $query->where('provider_id = "' . pSQL($providerCode) . '"');

        return Db::getInstance()->getValue($query);
    }

    public static function isActive(string $providerCode): bool
    {
        $query = new DbQuery();
        $query->select('active');
        $query->from(self::TABLE);
        $query->where('provider_id = "' . pSQL($providerCode) . '"');

        return (bool) Db::getInstance()->getValue($query);
    }
}
