<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types=1);

namespace Invertus\ConnectPay\Payment\Service;

use ConnectPayProvider;
use Invertus\ConnectPay\Payment\Repository\ConnectPayProviderRepository;

class ProviderCreatorService
{
    private $providerRepository;

    public function __construct(ConnectPayProviderRepository $providerRepository)
    {
        $this->providerRepository = $providerRepository;
    }

    public function updateProvider($providerCode, $isActive)
    {
        $connectPayProvider = new ConnectPayProvider();
        $providerId = $this->providerRepository->getIdByProviderCode($providerCode);

        if ($providerId) {
            $connectPayProvider->id = $providerId;
        }
        $connectPayProvider->active = $isActive;
        $connectPayProvider->provider_id = $providerCode;

        if ($providerId) {
            return $connectPayProvider->update();
        }

        return $connectPayProvider->add();
    }
}
