/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

// Upload private_key file.
$(document).ready(function(){
    $('#privateKeyButton').click(function(e){
        $('#connectPayPrivateKey').trigger('click');
    });
    $('#connectPayPrivateKey').change(function(e){
        var val = $(this).val();
        var file = val.split(/[\\/]/);
        $('#privateKey-name').val(file[file.length-1]);
    });

    // Hide entered Client Secret.
    var clientSecret = $("form[id='configuration_form'] input[name='CONNECTPAY_CLIENT_SECRET']");
    clientSecret.attr('type', 'password');

    clientSecret.focus(function() {
        clientSecret.attr('type', 'text');
    });

    clientSecret.focusout(function() {
        clientSecret.attr('type', 'password');
    });

    $('.provider').change(function() {
        var providerCode = $(this).attr('name');
        var isChecked = $(this).is(':checked');

        $.ajax({
            type: 'POST',
            url: 'index.php',
            cache: false,
            data: {
                ajax: true,
                controller: 'AdminConnectPayPayments',
                action: 'updateProvider',
                token: token,
                providerCode: providerCode,
                active: isChecked
            },
            success : function() {
                $.growl.notice({ title: "Notice!", message: 'Provider Updated!'});
            },
            error : function() {
                $.growl.error({ title: "Notice!", message: 'Error Occurred!' });
            }
        });
    });
});
