{**
* NOTICE OF LICENSE
*
* @author    Connectpay  <https://connectpay.com/
* @copyright Copyright (c) permanent, ConnectPay Inc.
* @license   Apache License
*
* @see       /LICENSE
*
*  International Registered Trademark & Property of ConnectPay Inc.
*}

{foreach from=$providersMain item="providerMain"}
    <div class="row">
        <div class="col-xs-12 connectpay-payment">
            <form id="payment-form" method="POST" action="{$providerMain.action|escape:'htmlall':'UTF-8'}">
                <div class="connectpay-payment-header">
                    <h3>ConnectPay</h3>
                </div>
                <div class="providers-container">
                    {if isset($providers) && $pid}
                        {foreach $providers as $provider}
                            <div class="provider-block">
                                <input name="providerCode" id="{$provider->id|escape:'html':'UTF-8'}"
                                       type="radio" value="{$provider->id|escape:'html':'UTF-8'}">

                                <img src="{$provider->presentation->logo|default:$defaultLogo|escape:'html':'UTF-8'}">
                                {$provider->name|escape:'htmlall':'UTF-8'}
                            </div>
                        {/foreach}
                    {/if}
                    {if
                    ($pid && isset($providers) &&
                    empty($providers)) ||
                    ($pid && !isset($providers))
                    }
                        <div class="provider-block provider-block-active default-bank-select">
                            <input name='providerCode' type='radio' value='' checked>

                            <img src="{$bank_logo|escape:'html':'UTF-8'}">
                            {l s='By Bank Transfer' mod='connectpay'}
                        </div>
                    {/if}
                    {if $card}
                        <div class="provider-block">
                            <input name="providerCode" id="by_card"
                                   type="radio" value="by_card">

                            <img src="{$card_logo|escape:'html':'UTF-8'}">
                            {l s='By Card' mod='connectpay'}
                        </div>
                    {/if}
                </div>
                <p class="connectpay-consents">
                    {l s='Service is provided by ConnectPay UAB. By using our services, you agree to our' mod='connectpay'}
                    <a target="_blank" href="{$termsOfUseLink|escape:'html':'UTF-8'}">{l s='Terms of Use' mod='connectpay'}</a>
                    {l s='and' mod='connectpay'}
                    <a target="_blank" href="{$privacyPolicyLink|escape:'html':'UTF-8'}">{l s='Privacy Policy' mod='connectpay'}</a>
                </p>
                <p class="payment_module">
                    <button type="submit" class="connectpay-submit-btn button btn btn-default button-medium">
                            <span>{l s='Pay' mod='connectpay'}
                            </span>
                    </button>
                </p>
                <div class="additional-information hidden">
                    <div class="button-container">
                        <button class="button btn btn-default button-medium" type="submit">
                            <span>{l s='Pay' mod='connectpay'}
                              <i class="icon-chevron-right right"></i>
                            </span>
                        </button>
                    </div>
                    {foreach from=$providerMain.inputs item="input"}
                        <input type="{$input.type|escape:'htmlall':'UTF-8'}"
                               name="{$input.name|escape:'htmlall':'UTF-8'}"
                               value="{$input.value|escape:'htmlall':'UTF-8'}"
                        >
                    {/foreach}
                </div>
            </form>
        </div>
    </div>
{/foreach}
